summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_local.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_local.sh')
-rwxr-xr-xsource4/script/tests/test_local.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/source4/script/tests/test_local.sh b/source4/script/tests/test_local.sh
new file mode 100755
index 0000000000..259864c200
--- /dev/null
+++ b/source4/script/tests/test_local.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+local_tests="LOCAL-NTLMSSP LOCAL-ICONV LOCAL-TALLOC LOCAL-MESSAGING LOCAL-IRPC LOCAL-BINDING LOCAL-IDTREE LOCAL-SOCKET"
+
+if [ $# -lt 0 ]; then
+cat <<EOF
+Usage: test_local.sh
+EOF
+exit 1;
+fi
+
+if [ -z "$VALGRIND" ]; then
+ export MALLOC_CHECK_=2
+fi
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+for t in $local_tests; do
+ name="$t"
+ testit "$name" $VALGRIND bin/smbtorture ncalrpc: $t "$*" || failed=`expr $failed + 1`
+done
+
+testok $0 $failed